Bug 286971 - dump usage screen when no options given
dump usage screen when no options given
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 18:04 EDT by David Cantrell
Modified: 2013-01-09 20:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-20 16:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2007-09-11 18:04:44 EDT
Dump usage screen if user just runs 'pungi'.  Right now, you get this:

# pungi
Traceback (most recent call last):
  File "/usr/bin/pungi", line 208, in <module>
  File "/usr/bin/pungi", line 47, in main
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 642, in
    if not os.path.exists(file):
  File "/usr/lib/python2.5/posixpath.py", line 171, in exists
    st = os.stat(path)
TypeError: coercing to Unicode: need string or buffer, NoneType found
Comment 1 Jesse Keating 2007-09-11 21:36:07 EDT
d'oh, I thought I had fixed this.  Silly me.  Will fix soon.
Comment 2 Jesse Keating 2007-11-20 16:55:48 EST
Filed and tracked as https://hosted.fedoraproject.org/projects/pungi/ticket/61

Note You need to log in before you can comment on or make changes to this bug.